package com.abstractsense.paddlefriendly.business;

/**
 * Partides de pàdel.
 * Josep Sanromà
 * 26/11/2016
 */

import com.abstractsense.paddlefriendly.data.GlobalVars;

import java.util.Date;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;

import static com.abstractsense.paddlefriendly.data.Constants.DATE_FORMAT;

public class Game {

    private int idPartit;
    private Date data;
    private String hora;
    private String lloc;
    private int grup;
    private String propietari;
    private float cost;
    private String jugadorA1;
    private String jugadorA2;
    private String jugadorB1;
    private String jugadorB2;
    private int rebutjats;
    private boolean joRebutjo;
    private GameScore puntuacio;

    public Game(int idPartit, String data, String hora, String lloc, int grup, String propietari, float cost) {
        this.idPartit = idPartit;
        try {
            DateFormat df = new SimpleDateFormat(DATE_FORMAT);
            this.data = df.parse(data);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        this.hora = hora;
        this.lloc = lloc;
        this.grup = grup;
        this.propietari = propietari;
        this.cost = cost;
        this.jugadorA1 = "";
        this.jugadorA2 = "";
        this.jugadorB1 = "";
        this.jugadorB2 = "";
        this.puntuacio = new GameScore();
    }

    /* Getters and setters. */
    public int getIdPartit() {
        return idPartit;
    }
    public void setIdPartit(int idPartit) {
        this.idPartit = idPartit;
    }

    public Date getData() {
        return data;
    }
    public void setData(Date data) {
        this.data = data;
    }

    public String getHora() {
        return hora;
    }
    public void setHora(String hora) {
        this.hora = hora;
    }

    public String getLloc() {
        return lloc;
    }
    public void setLloc(String lloc) {
        this.lloc = lloc;
    }

    public int getGrup() {
        return grup;
    }
    public void setGrup(int grup) {
        this.grup = grup;
    }

    public String getPropietari() {
        return propietari;
    }
    public void setPropietari(String propietari) {
        this.propietari = propietari;
    }

    public GameScore getPuntuacio() {
        return puntuacio;
    }
    public void setPuntuacio(GameScore puntuacio) {
        this.puntuacio = puntuacio;
    }

    public float getCost() {
        return cost;
    }
    public void setCost(float cost) {
        this.cost = cost;
    }

    public String getJugadorA1() {
        return jugadorA1;
    }
    public void setJugadorA1(String jugadorA1) {
        this.jugadorA1 = jugadorA1;
    }

    public String getJugadorA2() {
        return jugadorA2;
    }
    public void setJugadorA2(String jugadorA2) {
        this.jugadorA2 = jugadorA2;
    }

    public String getJugadorB1() {
        return jugadorB1;
    }
    public void setJugadorB1(String jugadorB1) {
        this.jugadorB1 = jugadorB1;
    }

    public String getJugadorB2() {
        return jugadorB2;
    }
    public void setJugadorB2(String jugadorB2) {
        this.jugadorB2 = jugadorB2;
    }

    public int getRebutjats() {
        return rebutjats;
    }
    public void setRebutjats(int rebutjats) {
        this.rebutjats = rebutjats;
    }

    public boolean joRebutjo() {
        return joRebutjo;
    }
    public void setJoRebutjo(boolean joRebutjo) {
        this.joRebutjo = joRebutjo;
    }

    public int getRespostes() {
        return getRebutjats() + getApuntats();
    }

    public int getApuntats() {
        int apuntats = 0;
        if(!jugadorA1.equals("")) apuntats++;
        if(!jugadorA2.equals("")) apuntats++;
        if(!jugadorB1.equals("")) apuntats++;
        if(!jugadorB2.equals("")) apuntats++;
        return apuntats;
    }

    public boolean esticApuntat(String playerUser) {
        return (playerUser.equals(jugadorA1) ||  playerUser.equals(jugadorA2) ||  playerUser.equals(jugadorB1) ||  playerUser.equals(jugadorB2));
    }

    @Override
    public String toString() {
        String strData = "";
        DateFormat df = new SimpleDateFormat(DATE_FORMAT);
        if(data != null) {
            strData = df.format(data);
        }
        //return strData+'-'+hora.toString()+' '+lloc;
        return strData+' '+lloc;
    }
}
