package com.abstractsense.paddlefriendly.business;

/**
 * Pagaments.
 * Josep Sanromà
 * 26/11/2016
 */

import java.util.Calendar;
import java.util.Date;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;

import static com.abstractsense.paddlefriendly.data.Constants.DATE_FORMAT;

public class Payment {

    private int idPagament;
    private int idPartit;
    private Date data;
    private String player;
    private float quantitat;
    private String nomJugador;

    public Payment(int idPagamnet, int idPartit, String data, String player, float quantitat, String nomJugador) {
        this.idPagament = idPagamnet;
        this.idPartit = idPartit;
        try {
            DateFormat df = new SimpleDateFormat(DATE_FORMAT);
            this.data = df.parse(data);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        if(this.data == null) {
            this.data = Calendar.getInstance().getTime();
        }
        this.player = player;
        this.quantitat = quantitat;
        this.nomJugador = nomJugador;
    }

    public int getIdPagament() {
        return idPagament;
    }
    public void setIdPagament(int idPagament) {
        this.idPagament = idPagament;
    }

    public int getIdPartit() {
        return idPartit;
    }
    public void setIdPartit(int idPartit) {
        this.idPartit = idPartit;
    }

    public Date getData() {
        return data;
    }
    public void setData(Date data) {
        this.data = data;
    }

    public String getPlayer() {
        return player;
    }
    public void setPlayer(String player) {
        this.player = player;
    }

    public float getQuantitat() {
        return quantitat;
    }
    public void setQuantitat(float quantitat) {
        this.quantitat = quantitat;
    }

    public String getNomJugador() {
        return nomJugador;
    }
    public void setNomJugador(String nomJugador) {
        this.nomJugador = nomJugador;
    }

    @Override
    public String toString() {
        return getData()+" "+getNomJugador()+" "+String.valueOf(getQuantitat());
    }
}
