package com.abstractsense.paddlefriendly.data;

/**
 * Constants de l'aplicació.
 * Josep Sanromà
 * 11/12/2016
 */

public final class Constants {

    // Splash screen time out.
    public static final int SPLASH_TIMEOUT = 2000;

    // URL for server connection.
    public static final String PROTOCOL = "http";
    public static final String DOMAIN = "paddlefriendly.abstractsense.com";
    public static final String URL_LOGIN = PROTOCOL + "://"+ DOMAIN + "/login.php";
    public static final String URL_GAME = PROTOCOL + "://"+ DOMAIN + "/game.php";
    public static final String URL_GAMES = PROTOCOL + "://"+ DOMAIN + "/games.php";
    public static final String URL_PLAYER_GAME = PROTOCOL + "://"+ DOMAIN + "/updateplayergame.php";
    public static final String URL_PAGAMENTS = PROTOCOL + "://"+ DOMAIN + "/pagaments.php";
    public static final String URL_ADD_PAYMENT = PROTOCOL + "://"+ DOMAIN + "/addpayment.php";
    public static final String URL_PLAYERS = PROTOCOL + "://"+ DOMAIN + "/jugadors.php";
    public static final String URL_SALDOS = PROTOCOL + "://"+ DOMAIN + "/saldos.php";
    public static final String URL_ESTADISTIQUES = PROTOCOL + "://"+ DOMAIN + "/estadistiques.php";
    public static final String URL_SAVE_GAME = PROTOCOL + "://"+ DOMAIN + "/savegame.php";
    public static final String URL_PARAM_USUA = "?username=";
    public static final String URL_PARAM_PASS = "&password=";
    public static final String URL_PARAM_GAME = "&game=";
    public static final String URL_PARAM_DATA = "&data=";
    public static final String URL_PARAM_TIME = "&time=";
    public static final String URL_PARAM_LLOC = "&lloc=";
    public static final String URL_PARAM_GRUP = "&grup=";
    public static final String URL_PARAM_COST = "&cost=";
    public static final String URL_PARAM_SET1A = "&set1A=";
    public static final String URL_PARAM_SET1B = "&set1B=";
    public static final String URL_PARAM_SET2A = "&set2A=";
    public static final String URL_PARAM_SET2B = "&set2B=";
    public static final String URL_PARAM_SET3A = "&set3A=";
    public static final String URL_PARAM_SET3B = "&set3B=";
    public static final String URL_PARAM_OPERATION = "&oper=";
    public static final String URL_PARAM_IMPORT = "&import=";
    public static final String URL_PARAM_PLAYER = "&player=";
    public static final String OPERATION_APUNTARSE = "A";
    public static final String OPERATION_NO_PUC = "N";
    public static final String RESULT = "result";

    // Shared preferences.
    public static final String SHARED_PREFS_FILE = "PaddleFriendlyPrefs";
    public static final String SHARED_PREFS_MAIL = "Mail";
    public static final String SHARED_PREFS_PASS = "Pass";

    // Default group.
    public static final int GRUP = 1;

    // Formats.
    public static final String DATE_FORMAT = "dd-MM-yyyy";
    public static final String DATE_FORMAT_MYSQL = "yyyy-MM-dd";
    public static final String FLOAT_FORMAT = "%.02f";
    public static final String DECIMAL_FORMAT = "%.00f";

    // Button colors.
    /*
    public static final int APUNTARSE_OFF = 0xff33cc11;
    public static final int APUNTARSE_ON = 0xFF2EFF00;
    public static final int NO_PUC_OFF = 0xffff0000;
    public static final int NO_PUC_ON = 0xffff8888;
    */

    private Constants(){
        //this prevents even the native class from calling this ctor as well :
        throw new AssertionError();
    }
}
