package com.abstractsense.paddlefriendly.presentation;

import android.graphics.Color;
import android.os.AsyncTask;
import android.os.Bundle;
//import android.support.design.widget.FloatingActionButton;
//import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.Gravity;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;

import com.abstractsense.paddlefriendly.R;
import com.abstractsense.paddlefriendly.business.DadesTabulades;
import com.abstractsense.paddlefriendly.business.Game;
import com.abstractsense.paddlefriendly.data.Database;
import com.abstractsense.paddlefriendly.data.GlobalVars;

import java.util.Iterator;
import java.util.List;

import static com.abstractsense.paddlefriendly.data.Constants.FLOAT_FORMAT;
import static com.abstractsense.paddlefriendly.data.Constants.GRUP;

public class SaldosActivity extends AppCompatActivity {

    // Assync tasks for data interchange.
    private SaldosActivity.GetDataTask mGetDataTask = null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_saldos);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        /*
        FloatingActionButton fab = (FloatingActionButton) findViewById(R.id.fab);
        fab.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Snackbar.make(view, "Replace with your own action", Snackbar.LENGTH_LONG)
                        .setAction("Action", null).show();
            }
        });
        */

        mGetDataTask = new SaldosActivity.GetDataTask();
        mGetDataTask.execute((Void) null);
    }

    private void updateTableToView(List<DadesTabulades> dts) {

        TableLayout tl = (TableLayout) findViewById(R.id.table);
        for (Iterator<DadesTabulades> i = dts.iterator(); i.hasNext(); ) {
            DadesTabulades dt = i.next();
            addTableRow(tl, dt);
        }
    }

    private void addTableRow(TableLayout tl, DadesTabulades dt) {

        TableRow tr=new TableRow(SaldosActivity.this);
        TableLayout.LayoutParams tlp = new TableLayout.LayoutParams(TableRow.LayoutParams.WRAP_CONTENT, TableRow.LayoutParams.WRAP_CONTENT);
        tlp.setMargins(0, 15, 0, 15);
        tr.setLayoutParams(tlp);

        TextView tv = new TextView(SaldosActivity.this);
        tv.setText(dt.getConcepte());
        tv.setTextColor(Color.BLACK);
        tv.setTextSize(20);
        tv.setPadding(30, 0, 30, 0);
        tr.addView(tv);

        tv = new TextView(SaldosActivity.this);
        tv.setText(String.format(FLOAT_FORMAT, dt.getQuantitat()));
        tv.setTextColor(Color.BLACK);
        tv.setTextSize(20);
        tv.setGravity(Gravity.RIGHT);
        tv.setPadding(30, 0, 30, 0);
        tr.addView(tv);

        tl.addView(tr);
    }

    /**
     * Obtenció de les dades.
     */
    public class GetDataTask extends AsyncTask<Void, Void, Boolean> {

        private List<DadesTabulades> dt;

        GetDataTask() {
        }

        @Override
        protected Boolean doInBackground(Void... params) {
            GlobalVars globals = (GlobalVars)getApplication();
            Database db = new Database();
            dt = db.saldos(globals, GRUP);
            return (dt != null);
        }

        @Override
        protected void onPostExecute(final Boolean result) {
            mGetDataTask = null;
            if(result) {
                updateTableToView(dt);
            }
        }

        @Override
        protected void onCancelled() {
            mGetDataTask = null;
        }
    }
}
